{
    onPrepareHit(source, target, move) {
        if (
            move.category === 'Status' || move.multihit || move.flags['noparentalbond'] || move.flags['charge'] ||
            move.flags['futuremove'] || move.spreadHit || move.isZ || move.isMax
        ) return;
        if (source.hp > source.maxhp / 2) return;
        if (move.type !== 'Bug') return;

        move.multihit = 2;
        move.multihitType = 'parentalbond';
    },

    onSourceModifySecondaries(secondaries, target, source, move) {
        if (move.multihitType === 'parentalbond' && move.id === 'secretpower' && move.hit < 2) {

            return secondaries.filter(effect => effect.volatileStatus === 'flinch');
        }
    },
    flags: {},
    name: "Swarm",
    rating: 2,
    num: 68
}
